summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authormattw <mattw@localhost>2010-08-13 04:41:43 +0000
committermattw <mattw@localhost>2010-08-13 04:41:43 +0000
commitb508c6275af8e034f990870b8bb7d9c14890fb3d (patch)
tree542267a2ac85505544b02b0b21510e996b98a309 /app-emulation
parentlibview: version bump (diff)
downloadvmware-b508c6275af8e034f990870b8bb7d9c14890fb3d.tar.gz
vmware-b508c6275af8e034f990870b8bb7d9c14890fb3d.tar.bz2
vmware-b508c6275af8e034f990870b8bb7d9c14890fb3d.zip
new VMware Desktop release
svn path=/trunk/; revision=422
Diffstat (limited to 'app-emulation')
-rw-r--r--app-emulation/vmware-modules/ChangeLog4
-rw-r--r--app-emulation/vmware-modules/Manifest3
-rw-r--r--app-emulation/vmware-modules/vmware-modules-238.1.ebuild69
-rw-r--r--app-emulation/vmware-player/ChangeLog4
-rw-r--r--app-emulation/vmware-player/Manifest5
-rw-r--r--app-emulation/vmware-player/vmware-player-3.1.1.282343.ebuild227
-rw-r--r--app-emulation/vmware-tools/ChangeLog4
-rw-r--r--app-emulation/vmware-tools/Manifest15
-rw-r--r--app-emulation/vmware-tools/vmware-tools-8.4.3.282343.ebuild53
-rw-r--r--app-emulation/vmware-workstation/ChangeLog4
-rw-r--r--app-emulation/vmware-workstation/Manifest5
-rw-r--r--app-emulation/vmware-workstation/vmware-workstation-7.1.1.282343.ebuild304
12 files changed, 693 insertions, 4 deletions
diff --git a/app-emulation/vmware-modules/ChangeLog b/app-emulation/vmware-modules/ChangeLog
index b7b3c79..884433b 100644
--- a/app-emulation/vmware-modules/ChangeLog
+++ b/app-emulation/vmware-modules/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 13 Aug 2010; Matt Whitlock (whitslack) <matt@whitlock.name>
+ +vmware-modules-238.1.ebuild:
+ version bump
+
04 Aug 2010; Vadim Kuznetsov <vadimk@gentoo.org>
vmware-modules-235.ebuild, vmware-modules-238.ebuild,
+files/iommu_map.patch, +files/sk_sleep.patch:
diff --git a/app-emulation/vmware-modules/Manifest b/app-emulation/vmware-modules/Manifest
index 8e3ffca..e2ef15d 100644
--- a/app-emulation/vmware-modules/Manifest
+++ b/app-emulation/vmware-modules/Manifest
@@ -15,6 +15,7 @@ AUX sk_sleep.patch 6937 RMD160 e15642e34906138278563d57e9647e4e579d437e SHA1 ce9
DIST vmware-any-any-update115.tar.gz 493641 RMD160 56cabe56f70c01a22a7671e861cc5a2df19855c7 SHA1 ff9b6fdf6ca74495eb5f4822a1854fc91185377c SHA256 b1c14fa9514663b85c2efe8331407e71cce96e5a21a8b941fa570c960bbdcaa1
EBUILD vmware-modules-1.0.0.15-r2.ebuild 445 RMD160 d16a678a0c9291289be89006b74782aeb0ba5a7a SHA1 c27bc611caae5e0b4afdc45ed5d62ee238a43b1e SHA256 f387e8c45b0b2fcee19b80a66dd3497981c54297fd9d21b7e01c60fb7e39a65d
EBUILD vmware-modules-235.ebuild 1867 RMD160 7b2f32e517c869ca94109d13ded6b86be28f1ca2 SHA1 9d3d8e2301c90cd6fc17d8b709e0c900b88939d1 SHA256 586a938c4b69e546fff97dd3ec96a02e971630888c7e517c00ee0a60ba94b1fb
+EBUILD vmware-modules-238.1.ebuild 1866 RMD160 774a9482ea5e071f72d0f9fbee942af625ec921d SHA1 0d76dc1512e0f0aac85e52bbf7e42dd0a95f8d26 SHA256 3a5a4788d5c5146f0d511ca3a6bd43c2d1e7a51cc7b6c63099e4ab2972bfdadc
EBUILD vmware-modules-238.ebuild 1866 RMD160 c6199dc4df7092a632fd0995df0655624e6042dd SHA1 2bab733e9ec133913a652370965b287eef4dfa49 SHA256 aad35d6ee5641e7f4f1b76eb6f203cb0ef6c75f0b929c81e7e42ebfe64815d0a
-MISC ChangeLog 1340 RMD160 2cf0c58c48cbfd15e0a008ba2c4589f7311acb58 SHA1 8409399a22dae4d8e8d194e2db35098ee3310cc6 SHA256 912548d7907adf4fa9db6608f49db1c3a280a5b3f9553d82a57179eedb284566
+MISC ChangeLog 1450 RMD160 fb73a92c363e867b902e7f0b80c26d5240f21649 SHA1 1ad6b35313664f2eb3429a2449145789e041f03e SHA256 85875dca301d96dec582afea2bd2d1360dfa554c95519ecb8a26c398a0c25eb8
MISC metadata.xml 159 RMD160 fc7f68a382390e5916b0fb43f37a893fad4f9798 SHA1 f46b02a39bcd0165558de67ff4256cfc812418a3 SHA256 8581ae1c90a48f50fa0542c7fb28cb8984baaf12f50fa18f33e467081effb215
diff --git a/app-emulation/vmware-modules/vmware-modules-238.1.ebuild b/app-emulation/vmware-modules/vmware-modules-238.1.ebuild
new file mode 100644
index 0000000..165f260
--- /dev/null
+++ b/app-emulation/vmware-modules/vmware-modules-238.1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/vmware-modules/vmware-modules-1.0.0.26.ebuild,v 1.2 2010/05/03 16:53:39 vadimk Exp $
+
+EAPI="2"
+
+inherit eutils flag-o-matic linux-mod
+
+DESCRIPTION="VMware kernel modules"
+HOMEPAGE="http://www.vmware.com/"
+
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ || ( ~app-emulation/vmware-player-3.1.1.282343
+ ~app-emulation/vmware-workstation-7.1.1.282343 )"
+
+S=${WORKDIR}
+
+pkg_setup() {
+ linux-mod_pkg_setup
+
+ VMWARE_VER="VME_V65" # THIS VALUE IS JUST A PLACE HOLDER
+ VMWARE_GROUP=${VMWARE_GROUP:-vmware}
+
+ VMWARE_MODULE_LIST="vmblock vmci vmmon vmnet vsock"
+ VMWARE_MOD_DIR="${PN}-${PVR}"
+
+ BUILD_TARGETS="auto-build VMWARE_VER=${VMWARE_VER} KERNEL_DIR=${KERNEL_DIR} KBUILD_OUTPUT=${KV_OUT_DIR}"
+
+ enewgroup "${VMWARE_GROUP}"
+ filter-flags -mfpmath=sse
+
+ for mod in ${VMWARE_MODULE_LIST}; do
+ MODULE_NAMES="${MODULE_NAMES} ${mod}(misc:${S}/${mod}-only)"
+ done
+}
+
+src_unpack() {
+ cd "${S}"
+ for mod in ${VMWARE_MODULE_LIST}; do
+ tar -xf /opt/vmware/lib/vmware/modules/source/${mod}.tar
+ done
+}
+
+src_prepare() {
+ epatch "${FILESDIR}/1.0.0.26-makefile-kernel-dir.patch"
+ epatch "${FILESDIR}/1.0.0.26-makefile-include.patch"
+ epatch "${FILESDIR}/apic.patch"
+ kernel_is 2 6 35 && epatch "${FILESDIR}/iommu_map.patch"
+ kernel_is 2 6 35 && epatch "${FILESDIR}/sk_sleep.patch"
+}
+
+src_install() {
+ # this adds udev rules for vmmon*
+ if echo ${VMWARE_MODULE_LIST} | grep -q vmmon ; then
+ dodir /etc/udev/rules.d
+ echo 'KERNEL=="vmmon*", GROUP="'${VMWARE_GROUP}'", MODE=660' >> "${D}/etc/udev/rules.d/60-vmware.rules" || die
+ echo 'KERNEL=="vmnet*", GROUP="'${VMWARE_GROUP}'", MODE=660' >> "${D}/etc/udev/rules.d/60-vmware.rules" || die
+ fi
+
+ linux-mod_src_install
+}
diff --git a/app-emulation/vmware-player/ChangeLog b/app-emulation/vmware-player/ChangeLog
index 49dc071..dad97e3 100644
--- a/app-emulation/vmware-player/ChangeLog
+++ b/app-emulation/vmware-player/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 13 Aug 2010; Matt Whitlock (whitslack) <matt@whitlock.name>
+ +vmware-player-3.1.1.282343.ebuild:
+ version bump to VMware Player 3.1.1.282343
+
18 Jul 2010; Matt Whitlock (whitslack) <matt@whitlock.name>
vmware-player-3.0.1.227600-r6.ebuild, vmware-player-3.1.0.261024.ebuild:
depend on OpenSSL 0.9.8* specifically
diff --git a/app-emulation/vmware-player/Manifest b/app-emulation/vmware-player/Manifest
index 1c89fb4..8a3d1f4 100644
--- a/app-emulation/vmware-player/Manifest
+++ b/app-emulation/vmware-player/Manifest
@@ -6,7 +6,10 @@ DIST VMware-Player-3.0.1-227600.i386.bundle 84974107 RMD160 4337339976d25d8dbd1f
DIST VMware-Player-3.0.1-227600.x86_64.bundle 79959324 RMD160 c6652acadc760bab8ecfed2682706e31f51423ef SHA1 84f25370d24c03a18968a4f4c8e06cef3d21c2df SHA256 8347b3fa0c1cd1c88c3c8049462f3d0d752d6f7daa747a7d2a67667a3f55f190
DIST VMware-Player-3.1.0-261024.i386.bundle 106519865 RMD160 008cb206b9c17167b655bc89957998da25ccb03f SHA1 147a6a2f19559804ed90e0ff5c545b8b31c400a1 SHA256 39156e974d75b0547e657c4aeea4a9fb401a0c3756205f7c8aec4f44754bb6e7
DIST VMware-Player-3.1.0-261024.x86_64.bundle 102467637 RMD160 d0911964f94a5d07511ae3fca7928563056830c9 SHA1 6d6a54b3a63f1682ad543c0fcf55b574cdf9eebe SHA256 1dd92f0ca33f3e77be257b8e46ef42ca63562dba98bfa4ae4b211126eca2e59d
+DIST VMware-Player-3.1.1-282343.i386.bundle 106522932 RMD160 ee57737b586586b4ebf7c71730c11841257de9d3 SHA1 1eae6cd3b89563efa767b2a957b051734bf25337 SHA256 503b989b11145dbe73cb75bf9fada9ffd47fbea9c4a65003ec49277e8319bf2f
+DIST VMware-Player-3.1.1-282343.x86_64.bundle 102467705 RMD160 b98ff32a18bf12f54557ee641ff60b89d3e63662 SHA1 65b7ab26242961fc8b511ea6b85fdebda878ec6c SHA256 bb5a6475f34e6a7ed8855e617e87ef0a25a18f7a624f456efd64af7a6087b1f7
EBUILD vmware-player-3.0.1.227600-r6.ebuild 9334 RMD160 d8883eeefda8577c10ee0100be56588e6b31982b SHA1 86e5acf074b2d454b8546a91b12584ec71cf72a8 SHA256 c859803fb5d06d8778aae65f559a57748a5bc6c08763a787a9b8c91910529184
EBUILD vmware-player-3.1.0.261024.ebuild 5846 RMD160 cf8a8b9d442a7eee7466fa70b456fc54eb8b2c87 SHA1 9671f0c6a370856fc73ad6fb31a7f9cfba46f68e SHA256 f2c77a7262823155739ea3773b62326dc4ecb92b1a1e781e6172ac7614df73f0
-MISC ChangeLog 3336 RMD160 01cf044077d0a558f9c8cb87934022dd84adbacb SHA1 c1c7eafffc28b9e29cae395f1a2aac9891b6cdfd SHA256 606af71c601b681b415972c9c91f715ece1c8d0dccde9015cac2ad6a6c721818
+EBUILD vmware-player-3.1.1.282343.ebuild 5848 RMD160 5845b4f1432894fd56d1356bb809fc507a98c0f0 SHA1 f4721997b35e0619747e1a1387315734da5c17ad SHA256 4e547cc4558e70a72b5b6feb114a6df9e29b694a76081e84444cc1e74531e17c
+MISC ChangeLog 3482 RMD160 94e9a8bd0f93f353ab6f49eadd30b2afd62fbe4b SHA1 59ca98b44ea60e7bcf52ccb7b527fc91665fc2db SHA256 4aea3ccf54072825f36c0bec5ca3cc0ca9f6bdf428e31d778c3a03f4a021be77
MISC metadata.xml 238 RMD160 beef158e0603e5808d104743feba4be3e7a7e8c4 SHA1 276217c6f03ae24c0196519197240031a6961254 SHA256 8374f3a2a8f05bf0690ab35f79a20980026aefa9fabae93fe81442f54291018b
diff --git a/app-emulation/vmware-player/vmware-player-3.1.1.282343.ebuild b/app-emulation/vmware-player/vmware-player-3.1.1.282343.ebuild
new file mode 100644
index 0000000..c817b17
--- /dev/null
+++ b/app-emulation/vmware-player/vmware-player-3.1.1.282343.ebuild
@@ -0,0 +1,227 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header$
+
+EAPI="2"
+
+inherit eutils versionator fdo-mime gnome2-utils vmware-bundle
+
+MY_PN="VMware-Player"
+MY_PV="$(replace_version_separator 3 - $PV)"
+MY_P="${MY_PN}-${MY_PV}"
+
+DESCRIPTION="Emulate a complete PC on your PC without the usual performance overhead of most emulators"
+HOMEPAGE="http://www.vmware.com/products/player/"
+SRC_URI="
+ x86? ( ${MY_P}.i386.bundle )
+ amd64? ( ${MY_P}.x86_64.bundle )
+ "
+
+LICENSE="vmware"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="doc +vmware-tools"
+RESTRICT="binchecks fetch strip"
+
+# vmware-workstation should not use virtual/libc as this is a
+# precompiled binary package thats linked to glibc.
+RDEPEND="dev-cpp/cairomm
+ dev-cpp/glibmm
+ dev-cpp/gtkmm
+ dev-cpp/libgnomecanvasmm
+ dev-cpp/libsexymm
+ dev-cpp/pangomm
+ dev-libs/atk
+ dev-libs/glib
+ dev-libs/libsigc++
+ dev-libs/libxml2
+ =dev-libs/openssl-0.9.8*
+ dev-libs/xmlrpc-c
+ gnome-base/libgnomecanvas
+ gnome-base/libgtop
+ gnome-base/librsvg
+ gnome-base/orbit
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/libart_lgpl
+ =media-libs/libpng-1.2*
+ net-misc/curl
+ sys-devel/gcc
+ sys-fs/fuse
+ sys-libs/glibc
+ sys-libs/zlib
+ x11-libs/cairo
+ x11-libs/gtk+
+ x11-libs/libgksu
+ x11-libs/libICE
+ x11-libs/libsexy
+ x11-libs/libSM
+ x11-libs/libview
+ x11-libs/libX11
+ x11-libs/libXau
+ x11-libs/libxcb
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXdmcp
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXft
+ x11-libs/libXi
+ x11-libs/libXinerama
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-libs/pango
+ x11-libs/startup-notification
+ !app-emulation/vmware-server
+ !app-emulation/vmware-workstation"
+PDEPEND=">=app-emulation/vmware-modules-238.1
+ vmware-tools? ( app-emulation/vmware-tools )"
+
+S=${WORKDIR}/vmware-player-app
+VM_INSTALL_DIR="/opt/vmware"
+
+pkg_nofetch() {
+ local bundle
+
+ if use x86; then
+ bundle="${MY_P}.i386.bundle"
+ elif use amd64; then
+ bundle="${MY_P}.x86_64.bundle"
+ fi
+
+ einfo "Please download ${bundle}"
+ einfo "from ${HOMEPAGE}"
+ einfo "and place it in ${DISTDIR}"
+}
+
+src_unpack() {
+ vmware-bundle_extract-bundle-component "${DISTDIR}/${A}" vmware-player-app
+}
+
+src_prepare() {
+ rm -f bin/vmware-modconfig
+ rm -rf lib/modules/binary
+
+ # remove superfluous libraries
+ ebegin 'Removing superfluous libraries'
+ cd lib/lib || die
+ ldconfig -p | sed 's:^\s\+\([^(]*[^( ]\).*=> /.*$:\1:g;t;d' | xargs -d'\n' -r rm -rf
+ eend
+}
+
+src_install() {
+ local major_minor_revision=$(get_version_component_range 1-3 "${PV}")
+ local build=$(get_version_component_range 4 "${PV}")
+
+ # install the binaries
+ into "${VM_INSTALL_DIR}"
+ dobin bin/* || die "failed to install bin"
+ dosbin sbin/* || die "failed to install sbin"
+
+ # install the libraries
+ insinto "${VM_INSTALL_DIR}"/lib/vmware
+ doins -r lib/* || die "failed to install lib"
+
+ # these two libraries do not like to load from /usr/lib*
+ local each ; for each in libcrypto.so.0.9.8 libssl.so.0.9.8 ; do
+ if [[ ! -f "${VM_INSTALL_DIR}/lib/vmware/lib/${each}" ]] ; then
+ dosym "/usr/$(get_libdir)/${each}" \
+ "${VM_INSTALL_DIR}/lib/vmware/lib/${each}/${each}"
+ fi
+ done
+
+ # install the ancillaries
+ insinto /usr
+ doins -r share || die "failed to install share"
+
+ # install documentation
+ if use doc; then
+ dodoc doc/* || die "failed to install docs"
+ fi
+
+ # create symlinks for the various tools
+ local tool ; for tool in vmplayer{,-daemon} \
+ vmware-{acetool,unity-helper,modconfig{,-console},gksu,fuseUI} ; do
+ dosym appLoader "${VM_INSTALL_DIR}"/lib/vmware/bin/"${tool}" || die
+ done
+ dosym "${VM_INSTALL_DIR}"/lib/vmware/bin/vmplayer "${VM_INSTALL_DIR}"/bin/vmplayer || die
+
+ # fix up permissions
+ chmod 0755 "${D}${VM_INSTALL_DIR}"/lib/vmware/{bin/*,lib/wrapper-gtk24.sh}
+ chmod 04711 "${D}${VM_INSTALL_DIR}"/sbin/vmware-authd
+ chmod 04711 "${D}${VM_INSTALL_DIR}"/lib/vmware/bin/vmware-vmx*
+
+ # create the environment
+ local envd="${T}/90vmware"
+ cat > "${envd}" <<-EOF
+ PATH='${VM_INSTALL_DIR}/bin'
+ ROOTPATH='${VM_INSTALL_DIR}/bin'
+ EOF
+ doenvd "${envd}" || die
+
+ # create the configuration
+ dodir /etc/vmware || die
+
+ cat > "${D}"/etc/vmware/bootstrap <<-EOF
+ BINDIR='${VM_INSTALL_DIR}/bin'
+ LIBDIR='${VM_INSTALL_DIR}/lib'
+ EOF
+
+ cat > "${D}"/etc/vmware/config <<-EOF
+ bindir = "${VM_INSTALL_DIR}/bin"
+ libdir = "${VM_INSTALL_DIR}/lib/vmware"
+ initscriptdir = "/etc/init.d"
+ authd.fullpath = "${VM_INSTALL_DIR}/sbin/vmware-authd"
+ gksu.rootMethod = "su"
+ VMCI_CONFED = "yes"
+ VMBLOCK_CONFED = "yes"
+ VSOCK_CONFED = "yes"
+ NETWORKING = "yes"
+ player.product.version = "${major_minor_revision}"
+ product.buildNumber = "${build}"
+ EOF
+
+ # install the init.d script
+ local initscript="${T}/vmware.rc"
+
+ sed -e "s:@@BINDIR@@:${VM_INSTALL_DIR}/bin:g" \
+ "${FILESDIR}/vmware-3.0.rc" > "${initscript}" || die
+ newinitd "${initscript}" vmware || die
+
+ # fill in variable placeholders
+ sed -e "s:@@LIBCONF_DIR@@:${VM_INSTALL_DIR}/lib/vmware/libconf:g" \
+ -i "${D}${VM_INSTALL_DIR}"/lib/vmware/libconf/etc/{gtk-2.0/{gdk-pixbuf.loaders,gtk.immodules},pango/pango{.modules,rc}} || die
+ sed -e "s:@@BINARY@@:${VM_INSTALL_DIR}/bin/vmplayer:g" \
+ -i "${D}/usr/share/applications/${PN}.desktop" || die
+}
+
+pkg_config() {
+ "${VM_INSTALL_DIR}"/bin/vmware-networks --postinstall ${PN},old,new
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+
+ ewarn "/etc/env.d was updated. Please run:"
+ ewarn "env-update && source /etc/profile"
+ ewarn ""
+ ewarn "Before you can use vmware-player, you must configure a default network setup."
+ ewarn "You can do this by running 'emerge --config ${PN}'."
+}
+
+pkg_prerm() {
+ einfo "Stopping ${PN} for safe unmerge"
+ /etc/init.d/vmware stop
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+}
diff --git a/app-emulation/vmware-tools/ChangeLog b/app-emulation/vmware-tools/ChangeLog
index ec285a2..98ac7d0 100644
--- a/app-emulation/vmware-tools/ChangeLog
+++ b/app-emulation/vmware-tools/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 13 Aug 2010; Matt Whitlock (whitslack) <matt@whitlock.name>
+ +vmware-tools-8.4.3.282343.ebuild:
+ version bump to VMware Tools 8.4.3.282343
+
02 Jun 2010; Matt Whitlock (whitslack) <matt@whitlock.name>
vmware-tools-8.4.2.261024.ebuild:
added block on older versions of vmware-workstation
diff --git a/app-emulation/vmware-tools/Manifest b/app-emulation/vmware-tools/Manifest
index 3d45596..23834ba 100644
--- a/app-emulation/vmware-tools/Manifest
+++ b/app-emulation/vmware-tools/Manifest
@@ -1,15 +1,28 @@
DIST vmware-tools-freebsd-8.4.2-261024.i386.component.tar 18165760 RMD160 840d48a548cc10b755260375b68b5c2dfcd2ea56 SHA1 a0c75a819c9c3594557d1daa0168b82957e11e21 SHA256 5e382f3575c98999c90682f6a52445ab50f37b8c6495c799874b6de9648814d0
DIST vmware-tools-freebsd-8.4.2-261024.x86_64.component.tar 18165760 RMD160 8d7c99fb7249fc09973958d1b17c88ae2eef7707 SHA1 d47c4c7392c6a2299834f56b28a1f50d41cf8062 SHA256 e875a7899b8cbc840506cc13de9589704a53c5ae4f18f05ffef09cbf3ae8ea66
+DIST vmware-tools-freebsd-8.4.3-282343.i386.component.tar 18165760 RMD160 0081f6a4373bd7e2267d7c5a19ad12487ebc40e5 SHA1 cc001a3d37336f73c49b4ea56753431c6fdd699a SHA256 7c8e4daef4fc92d5c274b7ec34cfd46c1ef08cea0e5febc64f1c48c942da46a5
+DIST vmware-tools-freebsd-8.4.3-282343.x86_64.component.tar 18165760 RMD160 e60ee973f6d2beb958c7b35fde4d39aea0f0e50c SHA1 4ff2d7e38e0388bee7a2db3c99f067537f3720cc SHA256 175d64d804aedc398e33b58b3d3c089468c1e5f37ffc1288367ccb278b60c354
DIST vmware-tools-linux-8.4.2-261024.i386.component.tar 104837120 RMD160 5e518772d67470bb59bdf0c389fd53103b838724 SHA1 e1aa02c5e08c0404e3ec1d60dd2b9ce354008d93 SHA256 8dfc4701dce807f3111b36fcf6471648de4b833d32909ed905576d771fc916ce
DIST vmware-tools-linux-8.4.2-261024.x86_64.component.tar 104837120 RMD160 87878e1c84f30807071de4705d182094bfbb98a4 SHA1 a08ea83e63fcccb5882acbd7184060733c00c6e3 SHA256 b98ac89f10dcd49c5b2f7a10bd30446f5bb9149ba171e7c46c61a2240a4157f3
+DIST vmware-tools-linux-8.4.3-282343.i386.component.tar 104837120 RMD160 c9adf5e3ab1e9479086c53529b8b58927a426b79 SHA1 ed587e1a5e76393b55de67ee26b4e3d50aa3e12c SHA256 8913b96fba48bf227581d80efc82257200bab9aadb2eab7ebee109a797ca7453
+DIST vmware-tools-linux-8.4.3-282343.x86_64.component.tar 104837120 RMD160 736dbffe765c0c37eba5cc7ce288b5407e87b5dc SHA1 c0730ca6dce4921fe8002f66983fa871d3cda6b0 SHA256 c584afa848402912f9d9bea2f5f0e15de3082045846924487191d06fd53b24ec
DIST vmware-tools-netware-8.4.2-261024.i386.component.tar 81920 RMD160 15f9aa8ca771cc5e343efd7bfe8f4bdd1808589a SHA1 8748e7b0d07435fcdfbba603515a472edba6bb4e SHA256 d05d48df2f504a5f4854ff2359ec4e20f88f66a800106ee1f430cad9139d86cf
DIST vmware-tools-netware-8.4.2-261024.x86_64.component.tar 81920 RMD160 a9278cd68f8a90ee0a17bfdff09330a841fd67ef SHA1 2986a23addee39bbd02e22ce88191251ff630292 SHA256 59f2e394b70a31f8fed87f03934ebb5fa551fb0845c0ceba96bc3aec0c907d7c
+DIST vmware-tools-netware-8.4.3-282343.i386.component.tar 81920 RMD160 30aebf2150301243afd310de9290458e6b1034b3 SHA1 e638cb1681ca0f2a596eee3bb2ccadc8852bd059 SHA256 76a603c120dbdfecf14ddd35c4dd800d28c598635293de4354b79d3d73b432fe
+DIST vmware-tools-netware-8.4.3-282343.x86_64.component.tar 81920 RMD160 8d67de4690020daf9b5372aac48852fc1025663b SHA1 3b4ba19856feb374fd16808e3559647776f6beb3 SHA256 d23f1fa707da5d40175f144b19dfbce34d7c70653d3a11dedede47b94e6d95f0
DIST vmware-tools-solaris-8.4.2-261024.i386.component.tar 19589120 RMD160 6104d5d3c93bbfaa53d8073fe9f3887c71b9bdd0 SHA1 5478feeb595d8958be4311527ef862c1595b6d92 SHA256 63d9aac0076748eaa2d686617188cff05da205c7e6336af76848327bfd63513c
DIST vmware-tools-solaris-8.4.2-261024.x86_64.component.tar 19589120 RMD160 513a1d7500a895133613dfb65d60e19c502ef0d0 SHA1 1a2e7e3528527a780d3469fa9527d3409c96c49c SHA256 13f5d8992853a6d2a2e9bedeee5a12589b6ad80b1e921541bcc28e3f7707587d
+DIST vmware-tools-solaris-8.4.3-282343.i386.component.tar 19568640 RMD160 2bf09d7878758793eaaa5b613236d5b4964959a1 SHA1 284e97605fec83be9fbeaa06d488f4cc0db42d3f SHA256 03b128fdeac6bbf45007eb8e356cd7bd1bd658486e25fbe33a57c734d0abce9b
+DIST vmware-tools-solaris-8.4.3-282343.x86_64.component.tar 19568640 RMD160 51d070fe0b06a10a07e66fd90f1a32a61a0fe4d5 SHA1 bf12c7f1e7ae01d02e83ac273bb4f687818ba12b SHA256 c7fd557e2c68e2acc3a5dc6781d8872c3fb06e07c9ad90d8b911232819d8c63c
DIST vmware-tools-winPre2k-8.4.2-261024.i386.component.tar 11059200 RMD160 4f29a3d47b21d6987616393ddb4a3f57f8cfdacd SHA1 4ce8bd2579d4f90220069af83cabffb0f9c9e73e SHA256 003ffbaf27b2414a06229e385961bec9644775c3466676e1d6be2533716fdd8e
DIST vmware-tools-winPre2k-8.4.2-261024.x86_64.component.tar 11059200 RMD160 59bfc825c145a45bdb5f160407d66e97c3880587 SHA1 c23ed823d89463c70fbadb9d8dd1dd406b9d780f SHA256 de5fc9a44d4c13cce1ab42ee05f1cf2e872090b7680cc801f0290817be9d20fa
+DIST vmware-tools-winPre2k-8.4.3-282343.i386.component.tar 11059200 RMD160 56be15c11400b4d0f6701ca10df6101b08d0097e SHA1 98778b486c897eed4f5b6a7eaa060cd2f6ee449e SHA256 0db3e4b8ea092a4d8600afebf2bcba3b45fb3cb2b581e1f5c02bff8be74299b9
+DIST vmware-tools-winPre2k-8.4.3-282343.x86_64.component.tar 11059200 RMD160 d9f711e072fe3c321eaa9a733e49bb8508d77816 SHA1 91bae519d3109ae1c67527986cbe1015d6405c26 SHA256 03ea57ffba706765c6bf215adb0227a4237adc7a9d7cd8eae3ce548196c31206
DIST vmware-tools-windows-8.4.2-261024.i386.component.tar 38318080 RMD160 87db7e810cd6416ce8583c696757dcfce596bf91 SHA1 609138afc6159db21fe362e8bfbbe31c4ffad165 SHA256 b605a1809b70b588866d8045753429178b6a00a94c6688d1d3648894cbaefa97
DIST vmware-tools-windows-8.4.2-261024.x86_64.component.tar 38318080 RMD160 e86af703f29693fed42d58f0013627f29fdf5184 SHA1 78c57924d6b097a76d8e95dcda5c1b1972a39180 SHA256 fc513c8f97f331cd516f15d863a338590c49073641c68256f6d8f80d64167a74
+DIST vmware-tools-windows-8.4.3-282343.i386.component.tar 38195200 RMD160 2afc356c63770599aac1d0824eb2f39bc72d9702 SHA1 1439b6af3d5c863e50f3a7a8923ea12e692bef75 SHA256 26b28d4eaa449e9ec837a5bf982086ebb1f5a5c6e88968aa80eb6db62e5c9eb5
+DIST vmware-tools-windows-8.4.3-282343.x86_64.component.tar 38195200 RMD160 a395bd1cfe9bde419a96d3ac1bd4fc62e2a53234 SHA1 e9b058a23463fa3666dd3f4466abf350c20541be SHA256 1a5dc49fc9d3e010536ef1c066886a90936e2f0c19a26f3c69534113c47fcfa2
EBUILD vmware-tools-8.4.2.261024.ebuild 1459 RMD160 6c96a0df88822b4db50fcb37d9aae5ca598b562f SHA1 ce6e75f4497b0c64c26b8f45031b9a1701e4997c SHA256 8d3658a4cf83e310df64167f6068cbd5423d5f53c475a9dc12cddab203e053c2
-MISC ChangeLog 496 RMD160 445f1a808d39840cfc6dd271efa72d95d7ef78bf SHA1 094dc7c237afacdbfb0da89880138817f686f732 SHA256 1c7da4a118b27876dd9ad96465c43699a2a9bfd50646c193e2e1bf071c5b501d
+EBUILD vmware-tools-8.4.3.282343.ebuild 1459 RMD160 d544bb7009191d0633092e801038ba86366f5573 SHA1 2a0d62f89f727d4c4902bad2e9e3b97c0cf2b7f0 SHA256 fed6b2ca9a92b415af98b4f54e54561e91ff9f3f5be5fc30dc705357c8175c74
+MISC ChangeLog 640 RMD160 75b5cd6ebbee5971bb90409a570fa00de22705c4 SHA1 86a3906d8c51ff2b246068dd883370c3ef05cb26 SHA256 c03d92f2de3cfd34c2270a8acef0de8c74d145dd9fa8a34d6ee32734ef9e90f7
MISC metadata.xml 159 RMD160 fc7f68a382390e5916b0fb43f37a893fad4f9798 SHA1 f46b02a39bcd0165558de67ff4256cfc812418a3 SHA256 8581ae1c90a48f50fa0542c7fb28cb8984baaf12f50fa18f33e467081effb215
diff --git a/app-emulation/vmware-tools/vmware-tools-8.4.3.282343.ebuild b/app-emulation/vmware-tools/vmware-tools-8.4.3.282343.ebuild
new file mode 100644
index 0000000..2ed592e
--- /dev/null
+++ b/app-emulation/vmware-tools/vmware-tools-8.4.3.282343.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header$
+
+inherit versionator vmware-bundle
+
+MY_PV="$(replace_version_separator 3 - $PV)"
+BASE_URI="http://softwareupdate.vmware.com/cds/vmw-desktop/player/3.1.1/282343/linux/packages/"
+
+DESCRIPTION="VMware Tools for guest operating systems"
+HOMEPAGE="http://www.vmware.com/products/player/"
+
+LICENSE="vmware"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+RESTRICT="mirror"
+
+DEPEND="!<app-emulation/vmware-workstation-7"
+
+IUSE_VMWARE_GUEST="freebsd linux netware solaris windows winPre2k"
+
+VM_INSTALL_DIR="/opt/vmware"
+
+for guest in ${IUSE_VMWARE_GUEST} ; do
+ SRC_URI+=" vmware_guest_${guest}? (
+ amd64? ( ${BASE_URI}vmware-tools-${guest}-${MY_PV}.x86_64.component.tar )
+ x86? ( ${BASE_URI}vmware-tools-${guest}-${MY_PV}.i386.component.tar )
+ )"
+ IUSE+=" vmware_guest_${guest}"
+done ; unset guest
+
+src_unpack() {
+ local arch
+ if use x86 ; then arch='i386'
+ elif use amd64 ; then arch='x86_64'
+ fi
+ local guest ; for guest in ${IUSE_VMWARE_GUEST} ; do
+ if use "vmware_guest_${guest}" ; then
+ local component="vmware-tools-${guest}-${MY_PV}.${arch}.component"
+ unpack "${component}.tar"
+ vmware-bundle_extract-component "${component}"
+ fi
+ done
+}
+
+src_install() {
+ insinto "${VM_INSTALL_DIR}"/lib/vmware/isoimages
+ local guest ; for guest in ${IUSE_VMWARE_GUEST} ; do
+ if use "vmware_guest_${guest}" ; then
+ doins "${guest}".iso{,.sig}
+ fi
+ done
+}
diff --git a/app-emulation/vmware-workstation/ChangeLog b/app-emulation/vmware-workstation/ChangeLog
index 94e4f39..6eb30ea 100644
--- a/app-emulation/vmware-workstation/ChangeLog
+++ b/app-emulation/vmware-workstation/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 13 Aug 2010; Matt Whitlock (whitslack) <matt@whitlock.name>
+ +vmware-workstation-7.1.1.282343.ebuild:
+ version bump to VMware Workstation 7.1.1.282343
+
18 Jul 2010; Matt Whitlock (whitslack) <matt@whitlock.name>
vmware-workstation-7.0.1.227600-r6.ebuild,
vmware-workstation-7.1.0.261024.ebuild:
diff --git a/app-emulation/vmware-workstation/Manifest b/app-emulation/vmware-workstation/Manifest
index 223828a..040d7ee 100644
--- a/app-emulation/vmware-workstation/Manifest
+++ b/app-emulation/vmware-workstation/Manifest
@@ -21,7 +21,10 @@ DIST VMware-Workstation-7.0.1-227600.i386.bundle 107914468 RMD160 c34c4c5f69cb58
DIST VMware-Workstation-7.0.1-227600.x86_64.bundle 113783072 RMD160 803b27f1742cec99e9ba2dc04808783b195d10d8 SHA1 dbcd045a889b95ac14828b8106631b678354e30a SHA256 3115f46b9d877bdf53e5db470a904384405a5c0054849f3e6d874ec36d668761
DIST VMware-Workstation-7.1.0-261024.i386.bundle 129783945 RMD160 96dcf3d37330cf43060f2798f3ab7e06d469c87e SHA1 a8904abf8b57d845d0d04fcb0c6eceb1d403fa9e SHA256 0c3e63ed180632e628f216cf410af6a861e63c38fe50315051d2deb238e937df
DIST VMware-Workstation-7.1.0-261024.x86_64.bundle 136788093 RMD160 7f2ab3d5a4f355e1ca5721ddb70593e6c2833584 SHA1 ddab8fe323ea235e882e48f0acbc9288a03c60cd SHA256 429abc2900e21deab81d544df6263c34936b2a758bea5f28a77d5a8b75314100
+DIST VMware-Workstation-7.1.1-282343.i386.bundle 129787675 RMD160 810b59993d06b7e0484a856ea93b1f975c851d8e SHA1 c256bd429471b30ea23fcd1783897ef877f1b8ed SHA256 ea27fc1cf0a925789cfcc8ac7ce33a16cbbd62917d3de4667d8738d5d635e2c0
+DIST VMware-Workstation-7.1.1-282343.x86_64.bundle 136793263 RMD160 499b7d960b6d32b2a32581f95850b648a002151c SHA1 46042a19a19d97b4e14e539ba42508dedfd13d58 SHA256 82c88a35112e69dd17d8404babb4f6b7b171c5ebf4a791b5e0d8f2b0fa7057ab
EBUILD vmware-workstation-7.0.1.227600-r6.ebuild 11432 RMD160 7b10cb11767fd59657c7a0d466a44853bdec66cb SHA1 cb7b5d7d52a55e7e8c73fba41d96ab0bb698ee39 SHA256 4db8c44abe2fe47ed5d8961f3a0174bc306a1407077d25c01acde67861ebba4c
EBUILD vmware-workstation-7.1.0.261024.ebuild 7762 RMD160 951830a12cf2cb23bc34ea044896890de931eb08 SHA1 d7d498c946b2e7a24fe43c87779471edd60b2f7f SHA256 e99d9b2b909b090f410332a747271369fa880d7c61fe2652e59984a7d30b94f4
-MISC ChangeLog 3274 RMD160 011bce6bd2d16333614d5d27e2be8895f09e3b52 SHA1 c5a2012917112f15c45bdc842ff6ea317d2281e8 SHA256 7d6e92e49338c0cd4ef69566bf4f6bc703525d0ea1ac55bc14321e73e2d18097
+EBUILD vmware-workstation-7.1.1.282343.ebuild 7762 RMD160 951830a12cf2cb23bc34ea044896890de931eb08 SHA1 d7d498c946b2e7a24fe43c87779471edd60b2f7f SHA256 e99d9b2b909b090f410332a747271369fa880d7c61fe2652e59984a7d30b94f4
+MISC ChangeLog 3430 RMD160 9f47b40d1a3d7fa682bcf9080bdba3bfc8db1ad6 SHA1 02a6f6bebb0667cb1fd086b2e49d12c9e2b2ce31 SHA256 eb0e95576eec3653f858bdaebf81bca52a2df604c8e1b7860ff164baefd2a43a
MISC metadata.xml 699 RMD160 13003f11d344342b6adffbe4f6be7cd72e64f9a3 SHA1 b85c9bb8a2312f7feab5200a9e3a2d6a45d3533f SHA256 0afdf7eebf72c9c781523ff4e2fff3b7f41b8948065c583ae4aa86e71ce067af
diff --git a/app-emulation/vmware-workstation/vmware-workstation-7.1.1.282343.ebuild b/app-emulation/vmware-workstation/vmware-workstation-7.1.1.282343.ebuild
new file mode 100644
index 0000000..21ba552
--- /dev/null
+++ b/app-emulation/vmware-workstation/vmware-workstation-7.1.1.282343.ebuild
@@ -0,0 +1,304 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header$
+
+EAPI="2"
+
+inherit eutils versionator fdo-mime gnome2-utils vmware-bundle
+
+MY_PN="VMware-Workstation"
+MY_PV="$(replace_version_separator 3 - $PV)"
+MY_P="${MY_PN}-${MY_PV}"
+
+DESCRIPTION="Emulate a complete PC on your PC without the usual performance overhead of most emulators"
+HOMEPAGE="http://www.vmware.com/products/workstation/"
+SRC_URI="
+ x86? ( ${MY_P}.i386.bundle )
+ amd64? ( ${MY_P}.x86_64.bundle )
+ "
+
+LICENSE="vmware"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="doc vix +vmware-tools"
+RESTRICT="binchecks fetch mirror strip"
+
+# vmware-workstation should not use virtual/libc as this is a
+# precompiled binary package thats linked to glibc.
+RDEPEND="dev-cpp/cairomm
+ dev-cpp/glibmm
+ dev-cpp/gtkmm
+ dev-cpp/libgnomecanvasmm
+ dev-cpp/libsexymm
+ dev-cpp/pangomm
+ dev-libs/atk
+ dev-libs/glib
+ dev-libs/libaio
+ dev-libs/libsigc++
+ dev-libs/libxml2
+ =dev-libs/openssl-0.9.8*
+ dev-libs/xmlrpc-c
+ gnome-base/libgnomecanvas
+ gnome-base/libgtop
+ gnome-base/librsvg
+ gnome-base/orbit
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/libart_lgpl
+ =media-libs/libpng-1.2*
+ net-misc/curl
+ sys-devel/gcc
+ sys-fs/fuse
+ sys-libs/glibc
+ sys-libs/zlib
+ x11-libs/cairo
+ x11-libs/gtk+
+ x11-libs/libgksu
+ x11-libs/libICE
+ x11-libs/libsexy
+ x11-libs/libSM
+ x11-libs/libview
+ x11-libs/libX11
+ x11-libs/libXau
+ x11-libs/libxcb
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXdmcp
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXft
+ x11-libs/libXi
+ x11-libs/libXinerama
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-libs/pango
+ x11-libs/startup-notification
+ !app-emulation/vmware-server
+ !app-emulation/vmware-player"
+PDEPEND="~app-emulation/vmware-modules-238
+ vmware-tools? ( app-emulation/vmware-tools )"
+
+S=${WORKDIR}
+VM_INSTALL_DIR="/opt/vmware"
+
+pkg_nofetch() {
+ local bundle
+
+ if use x86; then
+ bundle="${MY_P}.i386.bundle"
+ elif use amd64; then
+ bundle="${MY_P}.x86_64.bundle"
+ fi
+
+ einfo "Please download ${bundle}"
+ einfo "from ${HOMEPAGE}"
+ einfo "and place it in ${DISTDIR}"
+}
+
+src_unpack() {
+ vmware-bundle_extract-bundle-component "${DISTDIR}/${A}" vmware-player-app
+ vmware-bundle_extract-bundle-component "${DISTDIR}/${A}" vmware-player-setup
+ vmware-bundle_extract-bundle-component "${DISTDIR}/${A}" vmware-workstation
+ if use vix; then
+ vmware-bundle_extract-bundle-component "${DISTDIR}/${A}" vmware-vix
+ fi
+}
+
+src_prepare() {
+ rm -rf "${S}"/vmware-player-app/bin/vmware-modconfig
+ rm -rf "${S}"/vmware-player-app/lib/modules/binary
+
+ # remove superfluous libraries
+ ebegin 'Removing superfluous libraries'
+ cd vmware-player-app/lib/lib || die
+ ldconfig -p | sed 's:^\s\+\([^(]*[^( ]\).*=> /.*$:\1:g;t;d' | xargs -d'\n' -r rm -rf
+ cd ../../../vmware-workstation/lib/lib || die
+ ldconfig -p | sed 's:^\s\+\([^(]*[^( ]\).*=> /.*$:\1:g;t;d' | xargs -d'\n' -r rm -rf
+ eend
+}
+
+src_install() {
+ local major_minor_revision=$(get_version_component_range 1-3 "${PV}")
+ local build=$(get_version_component_range 4 "${PV}")
+
+ cd "${S}"/vmware-player-app
+
+ # install the binaries
+ into "${VM_INSTALL_DIR}"
+ dobin bin/*
+ dosbin sbin/*
+
+ # install the libraries
+ insinto "${VM_INSTALL_DIR}"/lib/vmware
+ doins -r lib/*
+
+ # these libraries do not like to load from /usr/lib*
+ local each ; for each in libcrypto.so.0.9.8 libssl.so.0.9.8 libglib-2.0.so.0 ; do
+ if [[ ! -f "${VM_INSTALL_DIR}/lib/vmware/lib/${each}" ]] ; then
+ dosym "/usr/$(get_libdir)/${each}" \
+ "${VM_INSTALL_DIR}/lib/vmware/lib/${each}/${each}"
+ fi
+ done
+
+ # install the ancillaries
+ insinto /usr
+ doins -r share
+
+ # install documentation
+ if use doc; then
+ dodoc doc/*
+ fi
+
+ # install vmware-config
+ cd "${S}"/vmware-player-setup
+ insinto "${VM_INSTALL_DIR}"/lib/vmware/setup
+ doins vmware-config
+
+ # install vmware-workstation
+ cd "${S}"/vmware-workstation
+
+ # install the binaries
+ into "${VM_INSTALL_DIR}"
+ dobin bin/*
+
+ # install the libraries
+ insinto "${VM_INSTALL_DIR}"/lib/vmware
+ doins -r lib/*
+
+ # install the ancillaries
+ insinto /usr
+ doins -r share
+
+ # install documentation
+ doman man/man1/vmware.1.gz
+
+ if use doc; then
+ dodoc -r doc/*
+ fi
+
+ # install vmware-vix
+ if use vix; then
+ cd "${S}"/vmware-vix
+
+ # install the binary
+ into "${VM_INSTALL_DIR}"
+ dobin bin/*
+
+ # install the libraries
+ insinto "${VM_INSTALL_DIR}"/lib/vmware-vix
+ doins -r lib/*
+
+ dosym vmware-vix/libvixAllProducts.so "${VM_INSTALL_DIR}"/lib/libbvixAllProducts.so
+
+ # install headers
+ insinto /usr/include/vmware-vix
+ doins include/*
+
+ if use doc; then
+ dohtml -r doc/*
+ fi
+ fi
+
+ # create symlinks for the various tools
+ local tool ; for tool in vmware vmplayer{,-daemon} \
+ vmware-{acetool,gksu,fuseUI,modconfig{,-console},netcfg,tray,unity-helper} ; do
+ dosym appLoader "${VM_INSTALL_DIR}"/lib/vmware/bin/"${tool}"
+ done
+ dosym "${VM_INSTALL_DIR}"/lib/vmware/bin/vmplayer "${VM_INSTALL_DIR}"/bin/vmplayer
+ dosym "${VM_INSTALL_DIR}"/lib/vmware/bin/vmware "${VM_INSTALL_DIR}"/bin/vmware
+
+ # fix up permissions
+ chmod 0755 "${D}${VM_INSTALL_DIR}"/lib/vmware/{bin/*,lib/wrapper-gtk24.sh,setup/*}
+ chmod 04711 "${D}${VM_INSTALL_DIR}"/sbin/vmware-authd
+ chmod 04711 "${D}${VM_INSTALL_DIR}"/lib/vmware/bin/vmware-vmx*
+ if use vix; then
+ chmod 0755 "${D}${VM_INSTALL_DIR}"/lib/vmware-vix/setup/*
+ fi
+
+ # create the environment
+ local envd="${T}/90vmware"
+ cat > "${envd}" <<-EOF
+ PATH='${VM_INSTALL_DIR}/bin'
+ ROOTPATH='${VM_INSTALL_DIR}/bin'
+ EOF
+ doenvd "${envd}"
+
+ # create the configuration
+ dodir /etc/vmware
+
+ cat > "${D}"/etc/vmware/bootstrap <<-EOF
+ BINDIR='${VM_INSTALL_DIR}/bin'
+ LIBDIR='${VM_INSTALL_DIR}/lib'
+ EOF
+
+ cat > "${D}"/etc/vmware/config <<-EOF
+ bindir = "${VM_INSTALL_DIR}/bin"
+ libdir = "${VM_INSTALL_DIR}/lib/vmware"
+ initscriptdir = "/etc/init.d"
+ authd.fullpath = "${VM_INSTALL_DIR}/sbin/vmware-authd"
+ gksu.rootMethod = "su"
+ VMCI_CONFED = "yes"
+ VMBLOCK_CONFED = "yes"
+ VSOCK_CONFED = "yes"
+ NETWORKING = "yes"
+ player.product.version = "${major_minor_revision}"
+ product.buildNumber = "${build}"
+ product.name = "VMware Workstation"
+ workstation.product.version = "${major_minor_revision}"
+ EOF
+
+ if use vix; then
+ cat >> "${D}"/etc/vmware/config <<-EOF
+ vmware.fullpath = "${VM_INSTALL_DIR}/bin/vmware"
+ vix.libdir = "${VM_INSTALL_DIR}/lib/vmware-vix"
+ vix.config.version = "1"
+ EOF
+ fi
+
+ # install the init.d script
+ local initscript="${T}/vmware.rc"
+ sed -e "s:@@BINDIR@@:${VM_INSTALL_DIR}/bin:g" \
+ "${FILESDIR}/vmware-7.0.rc" > ${initscript}
+ newinitd "${initscript}" vmware
+
+ # fill in variable placeholders
+ sed -e "s:@@LIBCONF_DIR@@:${VM_INSTALL_DIR}/lib/vmware/libconf:g" \
+ -i "${D}${VM_INSTALL_DIR}"/lib/vmware/libconf/etc/{gtk-2.0/{gdk-pixbuf.loaders,gtk.immodules},pango/pango{.modules,rc}}
+ sed -e "s:@@BINARY@@:${VM_INSTALL_DIR}/bin/vmware:g" \
+ -i "${D}/usr/share/applications/${PN}.desktop"
+ sed -e "s:@@BINARY@@:${VM_INSTALL_DIR}/bin/vmplayer:g" \
+ -i "${D}/usr/share/applications/vmware-player.desktop"
+ sed -e "s:@@BINARY@@:${VM_INSTALL_DIR}/bin/vmware-netcfg:g" \
+ -i "${D}/usr/share/applications/vmware-netcfg.desktop"
+}
+
+pkg_config() {
+ "${VM_INSTALL_DIR}"/bin/vmware-networks --postinstall ${PN},old,new
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+
+ ewarn "/etc/env.d was updated. Please run:"
+ ewarn "env-update && source /etc/profile"
+ ewarn ""
+ ewarn "Before you can use vmware-player, you must configure a default network setup."
+ ewarn "You can do this by running 'emerge --config ${PN}'."
+}
+
+pkg_prerm() {
+ einfo "Stopping ${PN} for safe unmerge"
+ /etc/init.d/vmware stop
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+}